const page = build({
  scope: '.account-content',

  visit: visitable('/options/blocking'),
  title: text('h2:nth-of-type(1)'),
  perSnapshotTitle: text('h2:nth-of-type(2)'),
  save: clickable('button:first'),

  blockedIPList: value('.ip-block-always textarea', s: ''),
  fillBlockedIPList: fillable('.ip-block-always textarea'),
  hasError: hasClass('.ip-block-always .textarea', 'has-error'),

  successMessageVisible: isVisible('.alert-success'),
  successMessageHidden: isHidden('.alert-success'),

  checkShowAll: clickable('#show-stopped'),

  snapshots: collection({
    scope: '.block-ip.snapshot-table-data tbody tr',

    item: {
      name: text('th', scope),
      status: text('td:nth-of-type(1) span', scope),
      duration: text('td:nth-of-type(2)', scope),
      visits: text('td:nth-of-type(3)', scope),
      blocking: input('.shapshot-block-list', scope)
    },

    // For free but can be re-defined
    // count: count('.block-ip.snapshot-table-data > tbody > tr'),
    save: clickable('.account-content button:last'),

    headers: section({
      scope: '.block-ip.snapshot-table-data th',
      name: action(':nth-of-type(2)')
    })
  }),
};
