export default {
  visit() {
    return visit('/options/blocking');
  },
  title: text('.account-content h2:nth-of-type(1)'),
  perSnapshotTitle: text('.account-content h2:nth-of-type(2)'),
  blockedIPList() {
    var element = findWithAssert('.ip-block-always textarea');

    return element.val();
  },
  fillBlockedIPList(text) {
    return fillIn('.ip-block-always textarea', text);
  },
  save: clickable('.account-content button:first'),
  hasError() {
    var element = findWithAssert('.ip-block-always .textarea');

    return element.hasClass('has-error');
  },
  successMessageVisible: visible('.alert-success'),
  successMessageHidden: hidden('.alert-success'),
  checkShowAll: clickable('#show-stopped'),
  snapshots(number) {
    var scope = `.block-ip.snapshot-table-data tbody tr:nth-of-type(${number})`;

    if (Ember.isEmpty(number)) {
      // all snapshots
      return {
        count: count('.block-ip.snapshot-table-data > tbody > tr'),
        headers() {
          return {
            name: action('.block-ip.snapshot-table-data th:nth-of-type(2)')
          };
        },
        save: clickable('.account-content button:last')
      };
    }

    // one snapshot
    return {
      name: text('th', scope),
      status: text('td:nth-of-type(1) span', scope),
      duration: text('td:nth-of-type(2)', scope),
      visits: text('td:nth-of-type(3)', scope),
      blocking: input('.shapshot-block-list', scope)
    };
  }
};
